package org.howardism.example;

/**
 * Example class to test ... doesn't do much, but that's the point.
 */
public class Foo
{
  Bar bar;

  /**
   * Returns a random value times 100. 
   * @return A random value.
   */
  public String getValue()
  {
    if ( bar == null )
      throw new IllegalStateException("The 'bar' property was not set.");
    return bar.something() + "...";
  }
  
  // ... Getter/Setter for the "bar" collaborator property.
  /**
   * Returns the bar property.
   * @return Returns the bar field.
   */
  public Bar getBar ()
  {
    return bar;
  }

  /**
   * Sets the bar property.
   * @param bar The bar to set.
   */
  public void setBar (Bar bar)
  {
    this.bar = bar;
  }
}
